Merge remote-tracking branch 'origin/master' into MPI
[scilab.git] / scilab / modules / fftw / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2007 - INRIA - Sylvestre LEDRU
20 # Copyright (C) 2007 - INRIA - Allan CORNET
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__make_dryrun = \
47   { \
48     am__dry=no; \
49     case $$MAKEFLAGS in \
50       *\\[\ \   ]*) \
51         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
52           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
53       *) \
54         for am__flg in $$MAKEFLAGS; do \
55           case $$am__flg in \
56             *=*|--*) ;; \
57             *n*) am__dry=yes; break;; \
58           esac; \
59         done;; \
60     esac; \
61     test $$am__dry = yes; \
62   }
63 pkgdatadir = $(datadir)/@PACKAGE@
64 pkgincludedir = $(includedir)/@PACKAGE@
65 pkglibdir = $(libdir)/@PACKAGE@
66 pkglibexecdir = $(libexecdir)/@PACKAGE@
67 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68 install_sh_DATA = $(install_sh) -c -m 644
69 install_sh_PROGRAM = $(install_sh) -c
70 install_sh_SCRIPT = $(install_sh) -c
71 INSTALL_HEADER = $(INSTALL_DATA)
72 transform = $(program_transform_name)
73 NORMAL_INSTALL = :
74 PRE_INSTALL = :
75 POST_INSTALL = :
76 NORMAL_UNINSTALL = :
77 PRE_UNINSTALL = :
78 POST_UNINSTALL = :
79 build_triplet = @build@
80 host_triplet = @host@
81 @FFTW_TRUE@am__append_1 = libscifftw-algo.la
82 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
83         $(top_srcdir)/Makefile.incl.am
84 @NEED_JAVA_TRUE@am__append_2 = java
85 subdir = modules/fftw
86 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
88         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
89         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
90         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
91         $(top_srcdir)/m4/intel_compiler.m4 \
92         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
93         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
94         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
95         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
96         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
97         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
98         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
99         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
100         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
101         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
102         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
103 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
104         $(ACLOCAL_M4)
105 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
106 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
107 CONFIG_CLEAN_FILES =
108 CONFIG_CLEAN_VPATH_FILES =
109 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
110 am__vpath_adj = case $$p in \
111     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
112     *) f=$$p;; \
113   esac;
114 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
115 am__install_max = 40
116 am__nobase_strip_setup = \
117   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
118 am__nobase_strip = \
119   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
120 am__nobase_list = $(am__nobase_strip_setup); \
121   for p in $$list; do echo "$$p $$p"; done | \
122   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
123   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
124     if (++n[$$2] == $(am__install_max)) \
125       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
126     END { for (dir in files) print dir, files[dir] }'
127 am__base_list = \
128   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
129   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
130 am__uninstall_files_from_dir = { \
131   test -z "$$files" \
132     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
133     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
134          $(am__cd) "$$dir" && rm -f $$files; }; \
135   }
136 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
137         "$(DESTDIR)$(libscifftw_la_etcdir)" \
138         "$(DESTDIR)$(libscifftw_la_rootdir)" \
139         "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)"
140 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
141 libscifftw_algo_la_LIBADD =
142 am__libscifftw_algo_la_SOURCES_DIST = src/nofftw/nofftw.c \
143         src/c/callfftw.c src/c/fftwlibname.c src/c/fftw_utilities.c \
144         src/c/sci_data_utilities.c src/c/with_fftw.c
145 @FFTW_FALSE@am__objects_1 = libscifftw_algo_la-nofftw.lo
146 @FFTW_TRUE@am__objects_1 = libscifftw_algo_la-callfftw.lo \
147 @FFTW_TRUE@     libscifftw_algo_la-fftwlibname.lo \
148 @FFTW_TRUE@     libscifftw_algo_la-fftw_utilities.lo \
149 @FFTW_TRUE@     libscifftw_algo_la-sci_data_utilities.lo \
150 @FFTW_TRUE@     libscifftw_algo_la-with_fftw.lo
151 @FFTW_TRUE@am_libscifftw_algo_la_OBJECTS = $(am__objects_1)
152 libscifftw_algo_la_OBJECTS = $(am_libscifftw_algo_la_OBJECTS)
153 @FFTW_TRUE@@MAINTAINER_MODE_FALSE@am_libscifftw_algo_la_rpath =
154 @FFTW_TRUE@@MAINTAINER_MODE_TRUE@am_libscifftw_algo_la_rpath =
155 @FFTW_TRUE@libscifftw_la_DEPENDENCIES = libscifftw-algo.la
156 am__libscifftw_la_SOURCES_DIST = src/nofftw/nofftw.c src/c/callfftw.c \
157         src/c/fftwlibname.c src/c/fftw_utilities.c \
158         src/c/sci_data_utilities.c src/c/with_fftw.c \
159         sci_gateway/c/gw_fftw.c \
160         sci_gateway/c/sci_fftwlibraryisloaded.c \
161         sci_gateway/c/sci_disposefftwlibrary.c \
162         sci_gateway/c/sci_fftw.c sci_gateway/c/sci_fftw_flags.c \
163         sci_gateway/c/sci_loadfftwlibrary.c \
164         sci_gateway/c/sci_get_fftw_wisdom.c \
165         sci_gateway/c/sci_set_fftw_wisdom.c \
166         sci_gateway/c/sci_fftw_forget_wisdom.c sci_gateway/c/sci_dct.c \
167         sci_gateway/c/sci_dst.c
168 @FFTW_FALSE@am__objects_2 = libscifftw_la-nofftw.lo
169 @FFTW_TRUE@am__objects_2 = libscifftw_la-callfftw.lo \
170 @FFTW_TRUE@     libscifftw_la-fftwlibname.lo \
171 @FFTW_TRUE@     libscifftw_la-fftw_utilities.lo \
172 @FFTW_TRUE@     libscifftw_la-sci_data_utilities.lo \
173 @FFTW_TRUE@     libscifftw_la-with_fftw.lo
174 @FFTW_TRUE@am__objects_3 = libscifftw_la-gw_fftw.lo \
175 @FFTW_TRUE@     libscifftw_la-sci_fftwlibraryisloaded.lo \
176 @FFTW_TRUE@     libscifftw_la-sci_disposefftwlibrary.lo \
177 @FFTW_TRUE@     libscifftw_la-sci_fftw.lo \
178 @FFTW_TRUE@     libscifftw_la-sci_fftw_flags.lo \
179 @FFTW_TRUE@     libscifftw_la-sci_loadfftwlibrary.lo \
180 @FFTW_TRUE@     libscifftw_la-sci_get_fftw_wisdom.lo \
181 @FFTW_TRUE@     libscifftw_la-sci_set_fftw_wisdom.lo \
182 @FFTW_TRUE@     libscifftw_la-sci_fftw_forget_wisdom.lo \
183 @FFTW_TRUE@     libscifftw_la-sci_dct.lo libscifftw_la-sci_dst.lo
184 @FFTW_FALSE@am_libscifftw_la_OBJECTS = $(am__objects_2)
185 @FFTW_TRUE@am_libscifftw_la_OBJECTS = $(am__objects_3)
186 libscifftw_la_OBJECTS = $(am_libscifftw_la_OBJECTS)
187 libscifftw_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
188         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
189         $(libscifftw_la_LDFLAGS) $(LDFLAGS) -o $@
190 @MAINTAINER_MODE_FALSE@am_libscifftw_la_rpath =
191 @MAINTAINER_MODE_TRUE@am_libscifftw_la_rpath = -rpath $(pkglibdir)
192 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
193 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
194 am__depfiles_maybe = depfiles
195 am__mv = mv -f
196 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
197         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
198 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
199         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
200         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
201 CCLD = $(CC)
202 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
203         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
204         $(LDFLAGS) -o $@
205 SOURCES = $(libscifftw_algo_la_SOURCES) $(libscifftw_la_SOURCES)
206 DIST_SOURCES = $(am__libscifftw_algo_la_SOURCES_DIST) \
207         $(am__libscifftw_la_SOURCES_DIST)
208 am__can_run_installinfo = \
209   case $$AM_UPDATE_INFO_DIR in \
210     n|no|NO) false;; \
211     *) (install-info --version) >/dev/null 2>&1;; \
212   esac
213 DATA = $(libscifftw_la_etc_DATA) $(libscifftw_la_root_DATA) \
214         $(libscifftw_la_sci_gateway_DATA)
215 ETAGS = etags
216 CTAGS = ctags
217 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
218 ACLOCAL = @ACLOCAL@
219 ALL_LINGUAS = @ALL_LINGUAS@
220 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
221 AMTAR = @AMTAR@
222 ANT = @ANT@
223 ANTLR = @ANTLR@
224 AR = @AR@
225 ARPACK_LIBS = @ARPACK_LIBS@
226 ASM3 = @ASM3@
227 AUTOCONF = @AUTOCONF@
228 AUTOHEADER = @AUTOHEADER@
229 AUTOMAKE = @AUTOMAKE@
230 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
231 AWK = @AWK@
232 BATIK = @BATIK@
233 BLAS_LIBS = @BLAS_LIBS@
234 CC = @CC@
235 CCACHE = @CCACHE@
236 CCDEPMODE = @CCDEPMODE@
237 CFLAGS = @CFLAGS@
238 CHECKSTYLE = @CHECKSTYLE@
239 COBERTURA = @COBERTURA@
240 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
241 COMMONS_IO = @COMMONS_IO@
242 COMMONS_LOGGING = @COMMONS_LOGGING@
243 CPP = @CPP@
244 CPPFLAGS = @CPPFLAGS@
245 CXX = @CXX@
246 CXXCPP = @CXXCPP@
247 CXXDEPMODE = @CXXDEPMODE@
248 CXXFLAGS = @CXXFLAGS@
249 CYGPATH_W = @CYGPATH_W@
250 DEFS = @DEFS@
251 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
252 DEPDIR = @DEPDIR@
253 DOCBOOK_ROOT = @DOCBOOK_ROOT@
254 DSYMUTIL = @DSYMUTIL@
255 DUMPBIN = @DUMPBIN@
256 ECHO_C = @ECHO_C@
257 ECHO_N = @ECHO_N@
258 ECHO_T = @ECHO_T@
259 EGREP = @EGREP@
260 EXEEXT = @EXEEXT@
261 F77 = @F77@
262 FFLAGS = @FFLAGS@
263 FFTW3_LIB = @FFTW3_LIB@
264 FFTW_ENABLE = @FFTW_ENABLE@
265 FGREP = @FGREP@
266 FLEXDOCK = @FLEXDOCK@
267 FLIBS = @FLIBS@
268 FOP = @FOP@
269 GENHTML = @GENHTML@
270 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
271 GIWS_BIN = @GIWS_BIN@
272 GLUEGEN2_RT = @GLUEGEN2_RT@
273 GMSGFMT = @GMSGFMT@
274 GMSGFMT_015 = @GMSGFMT_015@
275 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
276 GREP = @GREP@
277 GUI_ENABLE = @GUI_ENABLE@
278 HDF5_CFLAGS = @HDF5_CFLAGS@
279 HDF5_LIBS = @HDF5_LIBS@
280 HELP_ENABLE = @HELP_ENABLE@
281 INSTALL = @INSTALL@
282 INSTALL_DATA = @INSTALL_DATA@
283 INSTALL_PROGRAM = @INSTALL_PROGRAM@
284 INSTALL_SCRIPT = @INSTALL_SCRIPT@
285 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
286 INTLLIBS = @INTLLIBS@
287 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
288 JAR = @JAR@
289 JAVA = @JAVA@
290 JAVAC = @JAVAC@
291 JAVAC_DEBUG = @JAVAC_DEBUG@
292 JAVADOC = @JAVADOC@
293 JAVAH = @JAVAH@
294 JAVASCI_ENABLE = @JAVASCI_ENABLE@
295 JAVA_ENABLE = @JAVA_ENABLE@
296 JAVA_G = @JAVA_G@
297 JAVA_HOME = @JAVA_HOME@
298 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
299 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
300 JDB = @JDB@
301 JEUCLID_CORE = @JEUCLID_CORE@
302 JGRAPHX = @JGRAPHX@
303 JHALL = @JHALL@
304 JLATEXMATH = @JLATEXMATH@
305 JLATEXMATH_FOP = @JLATEXMATH_FOP@
306 JOGL2 = @JOGL2@
307 JROSETTA_API = @JROSETTA_API@
308 JROSETTA_ENGINE = @JROSETTA_ENGINE@
309 JUNIT4 = @JUNIT4@
310 LAPACK_LIBS = @LAPACK_LIBS@
311 LCOV = @LCOV@
312 LD = @LD@
313 LDFLAGS = @LDFLAGS@
314 LIBICONV = @LIBICONV@
315 LIBINTL = @LIBINTL@
316 LIBM = @LIBM@
317 LIBOBJS = @LIBOBJS@
318 LIBS = @LIBS@
319 LIBTOOL = @LIBTOOL@
320 LIPO = @LIPO@
321 LN_S = @LN_S@
322 LOGGING_LEVEL = @LOGGING_LEVEL@
323 LOOKS = @LOOKS@
324 LTLIBICONV = @LTLIBICONV@
325 LTLIBINTL = @LTLIBINTL@
326 LTLIBOBJS = @LTLIBOBJS@
327 MAINT = @MAINT@
328 MAKEINFO = @MAKEINFO@
329 MATIO_CFLAGS = @MATIO_CFLAGS@
330 MATIO_ENABLE = @MATIO_ENABLE@
331 MATIO_LIBS = @MATIO_LIBS@
332 MKDIR_P = @MKDIR_P@
333 MPI_ENABLE = @MPI_ENABLE@
334 MSGCAT = @MSGCAT@
335 MSGFMT = @MSGFMT@
336 MSGFMT_015 = @MSGFMT_015@
337 MSGMERGE = @MSGMERGE@
338 NM = @NM@
339 NMEDIT = @NMEDIT@
340 OBJDUMP = @OBJDUMP@
341 OBJEXT = @OBJEXT@
342 OCAMLC = @OCAMLC@
343 OCAMLDEP = @OCAMLDEP@
344 OCAMLLEX = @OCAMLLEX@
345 OCAMLOPT = @OCAMLOPT@
346 OCAMLYACC = @OCAMLYACC@
347 OPENMPI_CC = @OPENMPI_CC@
348 OPENMPI_FLAGS = @OPENMPI_FLAGS@
349 OPENMPI_LIBS = @OPENMPI_LIBS@
350 OPENMP_CFLAGS = @OPENMP_CFLAGS@
351 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
352 OPENMP_ENABLE = @OPENMP_ENABLE@
353 OPENMP_LIBS = @OPENMP_LIBS@
354 OTOOL = @OTOOL@
355 OTOOL64 = @OTOOL64@
356 PACKAGE = @PACKAGE@
357 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
358 PACKAGE_NAME = @PACKAGE_NAME@
359 PACKAGE_STRING = @PACKAGE_STRING@
360 PACKAGE_TARNAME = @PACKAGE_TARNAME@
361 PACKAGE_URL = @PACKAGE_URL@
362 PACKAGE_VERSION = @PACKAGE_VERSION@
363 PATH_SEPARATOR = @PATH_SEPARATOR@
364 PCRE_CFLAGS = @PCRE_CFLAGS@
365 PCRE_CONFIG = @PCRE_CONFIG@
366 PCRE_LIBS = @PCRE_LIBS@
367 PCRE_VERSION = @PCRE_VERSION@
368 PKG_CONFIG = @PKG_CONFIG@
369 POSUB = @POSUB@
370 POW_LIB = @POW_LIB@
371 PYTHON = @PYTHON@
372 RANLIB = @RANLIB@
373 RELOCATABLE = @RELOCATABLE@
374 RT_LIB = @RT_LIB@
375 SAXON = @SAXON@
376 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
377 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
378 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
379 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
380 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
381 SCIRENDERER = @SCIRENDERER@
382 SCI_CFLAGS = @SCI_CFLAGS@
383 SCI_CXXFLAGS = @SCI_CXXFLAGS@
384 SCI_FFLAGS = @SCI_FFLAGS@
385 SCI_LDFLAGS = @SCI_LDFLAGS@
386 SED = @SED@
387 SET_MAKE = @SET_MAKE@
388 SET_RELOCATABLE = @SET_RELOCATABLE@
389 SHELL = @SHELL@
390 SKINLF = @SKINLF@
391 SPLINT = @SPLINT@
392 STRIP = @STRIP@
393 SWIG_BIN = @SWIG_BIN@
394 SWIG_JAVA = @SWIG_JAVA@
395 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
396 TCLTK_LIBS = @TCLTK_LIBS@
397 TCL_INC_PATH = @TCL_INC_PATH@
398 TK_INC_PATH = @TK_INC_PATH@
399 UMFPACK_ENABLE = @UMFPACK_ENABLE@
400 UMFPACK_LIB = @UMFPACK_LIB@
401 USE_NLS = @USE_NLS@
402 VERSION = @VERSION@
403 WITH_OCAML = @WITH_OCAML@
404 WITH_TKSCI = @WITH_TKSCI@
405 XCOS_ENABLE = @XCOS_ENABLE@
406 XGETTEXT = @XGETTEXT@
407 XGETTEXT_015 = @XGETTEXT_015@
408 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
409 XMKMF = @XMKMF@
410 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
411 XML_APIS_EXT = @XML_APIS_EXT@
412 XML_CONFIG = @XML_CONFIG@
413 XML_FLAGS = @XML_FLAGS@
414 XML_LIBS = @XML_LIBS@
415 XML_VERSION = @XML_VERSION@
416 X_CFLAGS = @X_CFLAGS@
417 X_EXTRA_LIBS = @X_EXTRA_LIBS@
418 X_LIBS = @X_LIBS@
419 X_PRE_LIBS = @X_PRE_LIBS@
420 abs_builddir = @abs_builddir@
421 abs_srcdir = @abs_srcdir@
422 abs_top_builddir = @abs_top_builddir@
423 abs_top_srcdir = @abs_top_srcdir@
424 ac_ct_CC = @ac_ct_CC@
425 ac_ct_CXX = @ac_ct_CXX@
426 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
427 ac_ct_F77 = @ac_ct_F77@
428 am__include = @am__include@
429 am__leading_dot = @am__leading_dot@
430 am__quote = @am__quote@
431 am__tar = @am__tar@
432 am__untar = @am__untar@
433 bindir = @bindir@
434 build = @build@
435 build_alias = @build_alias@
436 build_cpu = @build_cpu@
437 build_os = @build_os@
438 build_vendor = @build_vendor@
439 builddir = @builddir@
440 cxx_present = @cxx_present@
441 datadir = @datadir@
442 datarootdir = @datarootdir@
443 docdir = @docdir@
444 dvidir = @dvidir@
445 exec_prefix = @exec_prefix@
446 host = @host@
447 host_alias = @host_alias@
448 host_cpu = @host_cpu@
449 host_os = @host_os@
450 host_vendor = @host_vendor@
451 htmldir = @htmldir@
452 includedir = @includedir@
453 infodir = @infodir@
454 install_sh = @install_sh@
455 libdir = @libdir@
456 libexecdir = @libexecdir@
457 localedir = @localedir@
458 localstatedir = @localstatedir@
459 mandir = @mandir@
460 mkdir_p = @mkdir_p@
461 oldincludedir = @oldincludedir@
462 pdfdir = @pdfdir@
463 prefix = @prefix@
464 program_transform_name = @program_transform_name@
465 psdir = @psdir@
466 sbindir = @sbindir@
467 sharedstatedir = @sharedstatedir@
468 srcdir = @srcdir@
469 sysconfdir = @sysconfdir@
470 target_alias = @target_alias@
471 top_build_prefix = @top_build_prefix@
472 top_builddir = @top_builddir@
473 top_srcdir = @top_srcdir@
474 modulename = fftw
475 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscifftw.la
476 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscifftw.la \
477 @MAINTAINER_MODE_FALSE@ $(am__append_1)
478 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = $(am__append_1)
479 libscifftw_la_LDFLAGS = $(FFTW3_LIB) $(AM_LDFLAGS)
480
481 #### fftw : Conf files ####
482 libscifftw_la_rootdir = $(mydatadir)
483
484 #### fftw : init scripts ####
485 libscifftw_la_etcdir = $(mydatadir)/etc
486 libscifftw_la_etc_DATA = etc/fftw.quit etc/fftw.start
487 @FFTW_FALSE@FFTW_C_SOURCES = src/nofftw/nofftw.c
488 @FFTW_TRUE@FFTW_C_SOURCES = src/c/callfftw.c \
489 @FFTW_TRUE@src/c/fftwlibname.c \
490 @FFTW_TRUE@src/c/fftw_utilities.c \
491 @FFTW_TRUE@src/c/sci_data_utilities.c \
492 @FFTW_TRUE@src/c/with_fftw.c
493
494 @FFTW_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/gw_fftw.c \
495 @FFTW_TRUE@     sci_gateway/c/sci_fftwlibraryisloaded.c \
496 @FFTW_TRUE@     sci_gateway/c/sci_disposefftwlibrary.c \
497 @FFTW_TRUE@     sci_gateway/c/sci_fftw.c \
498 @FFTW_TRUE@     sci_gateway/c/sci_fftw_flags.c \
499 @FFTW_TRUE@     sci_gateway/c/sci_loadfftwlibrary.c \
500 @FFTW_TRUE@     sci_gateway/c/sci_get_fftw_wisdom.c \
501 @FFTW_TRUE@     sci_gateway/c/sci_set_fftw_wisdom.c \
502 @FFTW_TRUE@     sci_gateway/c/sci_fftw_forget_wisdom.c \
503 @FFTW_TRUE@     sci_gateway/c/sci_dct.c \
504 @FFTW_TRUE@     sci_gateway/c/sci_dst.c 
505
506
507 #### fftw : Conf files ####
508 @FFTW_TRUE@libscifftw_la_root_DATA = license.txt 
509
510 #### fftw : gateway declaration ####
511 @FFTW_TRUE@libscifftw_la_sci_gatewaydir = $(mydatadir)/sci_gateway
512 @FFTW_TRUE@libscifftw_la_sci_gateway_DATA = sci_gateway/fftw_gateway.xml
513 @FFTW_TRUE@libscifftw_algo_la_SOURCES = $(FFTW_C_SOURCES)
514 @FFTW_FALSE@libscifftw_la_SOURCES = $(FFTW_C_SOURCES)
515 @FFTW_TRUE@libscifftw_la_SOURCES = $(GATEWAY_C_SOURCES)
516 @FFTW_TRUE@libscifftw_algo_la_CPPFLAGS = $(libscifftw_la_CPPFLAGS)
517
518 # For the code check (splint)
519 @FFTW_TRUE@CHECK_SRC = $(FFTW_C_SOURCES) $(GATEWAY_C_SOURCES)
520 @FFTW_TRUE@INCLUDE_FLAGS = $(libscifftw_la_CPPFLAGS)
521 @FFTW_TRUE@libscifftw_la_LIBADD = libscifftw-algo.la
522 @FFTW_FALSE@libscifftw_la_CPPFLAGS = -I$(srcdir)/includes/ \
523 @FFTW_FALSE@                    -I$(srcdir)/src/c/ \
524 @FFTW_FALSE@                    -I$(top_srcdir)/modules/api_scilab/includes/ \
525 @FFTW_FALSE@                    -I$(top_srcdir)/modules/output_stream/includes/ \
526 @FFTW_FALSE@                    -I$(top_srcdir)/modules/localization/includes/ \
527 @FFTW_FALSE@                    $(AM_CPPFLAGS)
528
529 @FFTW_TRUE@libscifftw_la_CPPFLAGS = -I$(srcdir)/includes/ \
530 @FFTW_TRUE@                     -I$(srcdir)/src/c/ \
531 @FFTW_TRUE@                     -I$(top_srcdir)/libs/MALLOC/includes/ \
532 @FFTW_TRUE@                     -I$(top_srcdir)/libs/dynamiclibrary/includes/ \
533 @FFTW_TRUE@                     -I$(top_srcdir)/modules/fileio/includes/ \
534 @FFTW_TRUE@                     -I$(top_srcdir)/modules/output_stream/includes/ \
535 @FFTW_TRUE@                     -I$(top_srcdir)/modules/api_scilab/includes/ \
536 @FFTW_TRUE@                     -I$(top_srcdir)/modules/localization/includes/ \
537 @FFTW_TRUE@                     $(FFTW3_CFLAGS) \
538 @FFTW_TRUE@                     $(AM_CPPFLAGS)
539
540
541 # Where all the Scilab stuff is installed (macros, help, ...)
542 mydatadir = $(pkgdatadir)/modules/$(modulename)
543
544 # Set AM_* SCI detected settings
545 AM_CPPFLAGS = $(SCI_CPPFLAGS)
546 AM_CFLAGS = $(SCI_CFLAGS)
547 AM_CXXFLAGS = $(SCI_CXXFLAGS)
548 # append includes to AM_FFLAGS to manage fortran includes
549 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
550
551 # Tag shared libraries with the Scilab version
552 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
553
554 # splint options
555 SPLINT_OPTIONS = -weak -booltype BOOL
556
557 ########################### JAVA ######################################
558 #### We are delegating java compilation to ant... Thanks to that
559 #### the procedure will be the same with Microsoft Windows (C)
560 #### and Linux/Unix
561 #######################################################################
562 TARGETS_ALL = $(am__append_2)
563
564 ################ MACROS ######################
565 # Rule to build a macro
566 # NOT USED  AT THE MOMENT
567 SUFFIXES = .sci 
568
569 ########### INSTALL DOCUMENTATION ###################
570
571 # Install documentation files into the right target
572 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
573 # automake needs the html files to be present which is not the case when
574 # we are building Scilab
575
576 # Where it should be installed
577 pkgdocdir = $(mydatadir)
578
579 # What is the mask of the help source
580 DOCMASKXML = *.xml
581
582 # What is the mask of the MathML sources
583 DOCMASKMML = *.mml
584
585 ########### INSTALL DATA ###################
586 # Install macros, help & demos
587 # Where it should be installed
588 pkgmacrosdir = $(mydatadir)
589 # Which directory we process
590 MACRODIRS = macros/
591 # Mask of the Scilab sources macros
592 MACROMASK = *.sci
593 # Mask of the Scilab executable sources macros
594 MACROBUILDMASK = *.sce
595 # Mask of the Scilab compiled macros
596 MACROBINMASK = *.bin
597 # List of the standard directory for tests
598 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
599 # Where the demos should be installed
600 pkgdemosdir = $(mydatadir)
601 # List of the standard directory for demos
602 DEMOS_DIR = demos
603 # List of the standard directory for examples
604 EXAMPLES_DIR = examples
605 # Where to export JAVA archives (.jar)
606 JARDIR = jar/
607 # JAR files mask
608 JARMASK = *.jar
609 # Chapter file 
610 HELP_CHAPTERDIR = help/
611 HELP_CHAPTERFILE = addchapter.sce
612 HELP_CHAPTERLANG = en_US fr_FR pt_BR
613 all: all-am
614
615 .SUFFIXES:
616 .SUFFIXES: .sci .bin .c .lo .o .obj
617 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
618         @for dep in $?; do \
619           case '$(am__configure_deps)' in \
620             *$$dep*) \
621               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
622                 && { if test -f $@; then exit 0; else break; fi; }; \
623               exit 1;; \
624           esac; \
625         done; \
626         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/fftw/Makefile'; \
627         $(am__cd) $(top_srcdir) && \
628           $(AUTOMAKE) --foreign modules/fftw/Makefile
629 .PRECIOUS: Makefile
630 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
631         @case '$?' in \
632           *config.status*) \
633             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
634           *) \
635             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
636             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
637         esac;
638 $(top_srcdir)/Makefile.incl.am:
639
640 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
641         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
642
643 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
644         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
645 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
646         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
647 $(am__aclocal_m4_deps):
648
649 clean-noinstLTLIBRARIES:
650         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
651         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
652           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
653           test "$$dir" != "$$p" || dir=.; \
654           echo "rm -f \"$${dir}/so_locations\""; \
655           rm -f "$${dir}/so_locations"; \
656         done
657 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
658         @$(NORMAL_INSTALL)
659         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
660         list2=; for p in $$list; do \
661           if test -f $$p; then \
662             list2="$$list2 $$p"; \
663           else :; fi; \
664         done; \
665         test -z "$$list2" || { \
666           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
667           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
668           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
669           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
670         }
671
672 uninstall-pkglibLTLIBRARIES:
673         @$(NORMAL_UNINSTALL)
674         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
675         for p in $$list; do \
676           $(am__strip_dir) \
677           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
678           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
679         done
680
681 clean-pkglibLTLIBRARIES:
682         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
683         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
684           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
685           test "$$dir" != "$$p" || dir=.; \
686           echo "rm -f \"$${dir}/so_locations\""; \
687           rm -f "$${dir}/so_locations"; \
688         done
689 libscifftw-algo.la: $(libscifftw_algo_la_OBJECTS) $(libscifftw_algo_la_DEPENDENCIES) $(EXTRA_libscifftw_algo_la_DEPENDENCIES) 
690         $(LINK) $(am_libscifftw_algo_la_rpath) $(libscifftw_algo_la_OBJECTS) $(libscifftw_algo_la_LIBADD) $(LIBS)
691 libscifftw.la: $(libscifftw_la_OBJECTS) $(libscifftw_la_DEPENDENCIES) $(EXTRA_libscifftw_la_DEPENDENCIES) 
692         $(libscifftw_la_LINK) $(am_libscifftw_la_rpath) $(libscifftw_la_OBJECTS) $(libscifftw_la_LIBADD) $(LIBS)
693
694 mostlyclean-compile:
695         -rm -f *.$(OBJEXT)
696
697 distclean-compile:
698         -rm -f *.tab.c
699
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-callfftw.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-fftw_utilities.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-fftwlibname.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-nofftw.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-with_fftw.Plo@am__quote@
706 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-callfftw.Plo@am__quote@
707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-fftw_utilities.Plo@am__quote@
708 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-fftwlibname.Plo@am__quote@
709 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-gw_fftw.Plo@am__quote@
710 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-nofftw.Plo@am__quote@
711 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_data_utilities.Plo@am__quote@
712 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_dct.Plo@am__quote@
713 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Plo@am__quote@
714 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_dst.Plo@am__quote@
715 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftw.Plo@am__quote@
716 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftw_flags.Plo@am__quote@
717 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Plo@am__quote@
718 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Plo@am__quote@
719 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Plo@am__quote@
720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Plo@am__quote@
721 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Plo@am__quote@
722 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-with_fftw.Plo@am__quote@
723
724 .c.o:
725 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
726 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
727 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
729 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
730
731 .c.obj:
732 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
733 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
734 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
735 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
736 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
737
738 .c.lo:
739 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
740 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
741 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
742 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
743 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
744
745 libscifftw_algo_la-nofftw.lo: src/nofftw/nofftw.c
746 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-nofftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-nofftw.Tpo -c -o libscifftw_algo_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
747 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_algo_la-nofftw.Tpo $(DEPDIR)/libscifftw_algo_la-nofftw.Plo
748 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/nofftw/nofftw.c' object='libscifftw_algo_la-nofftw.lo' libtool=yes @AMDEPBACKSLASH@
749 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
750 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
751
752 libscifftw_algo_la-callfftw.lo: src/c/callfftw.c
753 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-callfftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-callfftw.Tpo -c -o libscifftw_algo_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
754 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_algo_la-callfftw.Tpo $(DEPDIR)/libscifftw_algo_la-callfftw.Plo
755 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/callfftw.c' object='libscifftw_algo_la-callfftw.lo' libtool=yes @AMDEPBACKSLASH@
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
757 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
758
759 libscifftw_algo_la-fftwlibname.lo: src/c/fftwlibname.c
760 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-fftwlibname.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-fftwlibname.Tpo -c -o libscifftw_algo_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
761 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_algo_la-fftwlibname.Tpo $(DEPDIR)/libscifftw_algo_la-fftwlibname.Plo
762 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/fftwlibname.c' object='libscifftw_algo_la-fftwlibname.lo' libtool=yes @AMDEPBACKSLASH@
763 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
764 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
765
766 libscifftw_algo_la-fftw_utilities.lo: src/c/fftw_utilities.c
767 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-fftw_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-fftw_utilities.Tpo -c -o libscifftw_algo_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
768 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_algo_la-fftw_utilities.Tpo $(DEPDIR)/libscifftw_algo_la-fftw_utilities.Plo
769 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/fftw_utilities.c' object='libscifftw_algo_la-fftw_utilities.lo' libtool=yes @AMDEPBACKSLASH@
770 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
771 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
772
773 libscifftw_algo_la-sci_data_utilities.lo: src/c/sci_data_utilities.c
774 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-sci_data_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Tpo -c -o libscifftw_algo_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
775 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Tpo $(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Plo
776 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/sci_data_utilities.c' object='libscifftw_algo_la-sci_data_utilities.lo' libtool=yes @AMDEPBACKSLASH@
777 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
778 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
779
780 libscifftw_algo_la-with_fftw.lo: src/c/with_fftw.c
781 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-with_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-with_fftw.Tpo -c -o libscifftw_algo_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
782 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_algo_la-with_fftw.Tpo $(DEPDIR)/libscifftw_algo_la-with_fftw.Plo
783 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/with_fftw.c' object='libscifftw_algo_la-with_fftw.lo' libtool=yes @AMDEPBACKSLASH@
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
785 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
786
787 libscifftw_la-nofftw.lo: src/nofftw/nofftw.c
788 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-nofftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-nofftw.Tpo -c -o libscifftw_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
789 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-nofftw.Tpo $(DEPDIR)/libscifftw_la-nofftw.Plo
790 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/nofftw/nofftw.c' object='libscifftw_la-nofftw.lo' libtool=yes @AMDEPBACKSLASH@
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
792 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
793
794 libscifftw_la-callfftw.lo: src/c/callfftw.c
795 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-callfftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-callfftw.Tpo -c -o libscifftw_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
796 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-callfftw.Tpo $(DEPDIR)/libscifftw_la-callfftw.Plo
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/callfftw.c' object='libscifftw_la-callfftw.lo' libtool=yes @AMDEPBACKSLASH@
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
799 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
800
801 libscifftw_la-fftwlibname.lo: src/c/fftwlibname.c
802 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-fftwlibname.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-fftwlibname.Tpo -c -o libscifftw_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
803 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-fftwlibname.Tpo $(DEPDIR)/libscifftw_la-fftwlibname.Plo
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/fftwlibname.c' object='libscifftw_la-fftwlibname.lo' libtool=yes @AMDEPBACKSLASH@
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
806 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
807
808 libscifftw_la-fftw_utilities.lo: src/c/fftw_utilities.c
809 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-fftw_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-fftw_utilities.Tpo -c -o libscifftw_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
810 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-fftw_utilities.Tpo $(DEPDIR)/libscifftw_la-fftw_utilities.Plo
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/fftw_utilities.c' object='libscifftw_la-fftw_utilities.lo' libtool=yes @AMDEPBACKSLASH@
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
813 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
814
815 libscifftw_la-sci_data_utilities.lo: src/c/sci_data_utilities.c
816 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_data_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_data_utilities.Tpo -c -o libscifftw_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
817 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_data_utilities.Tpo $(DEPDIR)/libscifftw_la-sci_data_utilities.Plo
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/sci_data_utilities.c' object='libscifftw_la-sci_data_utilities.lo' libtool=yes @AMDEPBACKSLASH@
819 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
821
822 libscifftw_la-with_fftw.lo: src/c/with_fftw.c
823 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-with_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-with_fftw.Tpo -c -o libscifftw_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
824 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-with_fftw.Tpo $(DEPDIR)/libscifftw_la-with_fftw.Plo
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/with_fftw.c' object='libscifftw_la-with_fftw.lo' libtool=yes @AMDEPBACKSLASH@
826 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
827 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
828
829 libscifftw_la-gw_fftw.lo: sci_gateway/c/gw_fftw.c
830 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-gw_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-gw_fftw.Tpo -c -o libscifftw_la-gw_fftw.lo `test -f 'sci_gateway/c/gw_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/gw_fftw.c
831 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-gw_fftw.Tpo $(DEPDIR)/libscifftw_la-gw_fftw.Plo
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_fftw.c' object='libscifftw_la-gw_fftw.lo' libtool=yes @AMDEPBACKSLASH@
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-gw_fftw.lo `test -f 'sci_gateway/c/gw_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/gw_fftw.c
835
836 libscifftw_la-sci_fftwlibraryisloaded.lo: sci_gateway/c/sci_fftwlibraryisloaded.c
837 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftwlibraryisloaded.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Tpo -c -o libscifftw_la-sci_fftwlibraryisloaded.lo `test -f 'sci_gateway/c/sci_fftwlibraryisloaded.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftwlibraryisloaded.c
838 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Tpo $(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Plo
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_fftwlibraryisloaded.c' object='libscifftw_la-sci_fftwlibraryisloaded.lo' libtool=yes @AMDEPBACKSLASH@
840 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
841 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftwlibraryisloaded.lo `test -f 'sci_gateway/c/sci_fftwlibraryisloaded.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftwlibraryisloaded.c
842
843 libscifftw_la-sci_disposefftwlibrary.lo: sci_gateway/c/sci_disposefftwlibrary.c
844 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_disposefftwlibrary.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Tpo -c -o libscifftw_la-sci_disposefftwlibrary.lo `test -f 'sci_gateway/c/sci_disposefftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disposefftwlibrary.c
845 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Tpo $(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Plo
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_disposefftwlibrary.c' object='libscifftw_la-sci_disposefftwlibrary.lo' libtool=yes @AMDEPBACKSLASH@
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
848 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_disposefftwlibrary.lo `test -f 'sci_gateway/c/sci_disposefftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disposefftwlibrary.c
849
850 libscifftw_la-sci_fftw.lo: sci_gateway/c/sci_fftw.c
851 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftw.Tpo -c -o libscifftw_la-sci_fftw.lo `test -f 'sci_gateway/c/sci_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw.c
852 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_fftw.Tpo $(DEPDIR)/libscifftw_la-sci_fftw.Plo
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_fftw.c' object='libscifftw_la-sci_fftw.lo' libtool=yes @AMDEPBACKSLASH@
854 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
855 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftw.lo `test -f 'sci_gateway/c/sci_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw.c
856
857 libscifftw_la-sci_fftw_flags.lo: sci_gateway/c/sci_fftw_flags.c
858 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftw_flags.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftw_flags.Tpo -c -o libscifftw_la-sci_fftw_flags.lo `test -f 'sci_gateway/c/sci_fftw_flags.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_flags.c
859 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_fftw_flags.Tpo $(DEPDIR)/libscifftw_la-sci_fftw_flags.Plo
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_fftw_flags.c' object='libscifftw_la-sci_fftw_flags.lo' libtool=yes @AMDEPBACKSLASH@
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
862 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftw_flags.lo `test -f 'sci_gateway/c/sci_fftw_flags.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_flags.c
863
864 libscifftw_la-sci_loadfftwlibrary.lo: sci_gateway/c/sci_loadfftwlibrary.c
865 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_loadfftwlibrary.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Tpo -c -o libscifftw_la-sci_loadfftwlibrary.lo `test -f 'sci_gateway/c/sci_loadfftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_loadfftwlibrary.c
866 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Tpo $(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Plo
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_loadfftwlibrary.c' object='libscifftw_la-sci_loadfftwlibrary.lo' libtool=yes @AMDEPBACKSLASH@
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
869 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_loadfftwlibrary.lo `test -f 'sci_gateway/c/sci_loadfftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_loadfftwlibrary.c
870
871 libscifftw_la-sci_get_fftw_wisdom.lo: sci_gateway/c/sci_get_fftw_wisdom.c
872 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_get_fftw_wisdom.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Tpo -c -o libscifftw_la-sci_get_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_get_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_get_fftw_wisdom.c
873 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Tpo $(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Plo
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_get_fftw_wisdom.c' object='libscifftw_la-sci_get_fftw_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
876 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_get_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_get_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_get_fftw_wisdom.c
877
878 libscifftw_la-sci_set_fftw_wisdom.lo: sci_gateway/c/sci_set_fftw_wisdom.c
879 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_set_fftw_wisdom.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Tpo -c -o libscifftw_la-sci_set_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_set_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_set_fftw_wisdom.c
880 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Tpo $(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Plo
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_set_fftw_wisdom.c' object='libscifftw_la-sci_set_fftw_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
883 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_set_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_set_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_set_fftw_wisdom.c
884
885 libscifftw_la-sci_fftw_forget_wisdom.lo: sci_gateway/c/sci_fftw_forget_wisdom.c
886 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftw_forget_wisdom.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Tpo -c -o libscifftw_la-sci_fftw_forget_wisdom.lo `test -f 'sci_gateway/c/sci_fftw_forget_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_forget_wisdom.c
887 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Tpo $(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Plo
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_fftw_forget_wisdom.c' object='libscifftw_la-sci_fftw_forget_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
890 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftw_forget_wisdom.lo `test -f 'sci_gateway/c/sci_fftw_forget_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_forget_wisdom.c
891
892 libscifftw_la-sci_dct.lo: sci_gateway/c/sci_dct.c
893 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_dct.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_dct.Tpo -c -o libscifftw_la-sci_dct.lo `test -f 'sci_gateway/c/sci_dct.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dct.c
894 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_dct.Tpo $(DEPDIR)/libscifftw_la-sci_dct.Plo
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_dct.c' object='libscifftw_la-sci_dct.lo' libtool=yes @AMDEPBACKSLASH@
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
897 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_dct.lo `test -f 'sci_gateway/c/sci_dct.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dct.c
898
899 libscifftw_la-sci_dst.lo: sci_gateway/c/sci_dst.c
900 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_dst.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_dst.Tpo -c -o libscifftw_la-sci_dst.lo `test -f 'sci_gateway/c/sci_dst.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dst.c
901 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscifftw_la-sci_dst.Tpo $(DEPDIR)/libscifftw_la-sci_dst.Plo
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_dst.c' object='libscifftw_la-sci_dst.lo' libtool=yes @AMDEPBACKSLASH@
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
904 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_dst.lo `test -f 'sci_gateway/c/sci_dst.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dst.c
905
906 mostlyclean-libtool:
907         -rm -f *.lo
908
909 clean-libtool:
910         -rm -rf .libs _libs
911 install-libscifftw_la_etcDATA: $(libscifftw_la_etc_DATA)
912         @$(NORMAL_INSTALL)
913         @list='$(libscifftw_la_etc_DATA)'; test -n "$(libscifftw_la_etcdir)" || list=; \
914         if test -n "$$list"; then \
915           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_etcdir)'"; \
916           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_etcdir)" || exit 1; \
917         fi; \
918         for p in $$list; do \
919           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
920           echo "$$d$$p"; \
921         done | $(am__base_list) | \
922         while read files; do \
923           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_etcdir)'"; \
924           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_etcdir)" || exit $$?; \
925         done
926
927 uninstall-libscifftw_la_etcDATA:
928         @$(NORMAL_UNINSTALL)
929         @list='$(libscifftw_la_etc_DATA)'; test -n "$(libscifftw_la_etcdir)" || list=; \
930         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
931         dir='$(DESTDIR)$(libscifftw_la_etcdir)'; $(am__uninstall_files_from_dir)
932 install-libscifftw_la_rootDATA: $(libscifftw_la_root_DATA)
933         @$(NORMAL_INSTALL)
934         @list='$(libscifftw_la_root_DATA)'; test -n "$(libscifftw_la_rootdir)" || list=; \
935         if test -n "$$list"; then \
936           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_rootdir)'"; \
937           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_rootdir)" || exit 1; \
938         fi; \
939         for p in $$list; do \
940           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
941           echo "$$d$$p"; \
942         done | $(am__base_list) | \
943         while read files; do \
944           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_rootdir)'"; \
945           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_rootdir)" || exit $$?; \
946         done
947
948 uninstall-libscifftw_la_rootDATA:
949         @$(NORMAL_UNINSTALL)
950         @list='$(libscifftw_la_root_DATA)'; test -n "$(libscifftw_la_rootdir)" || list=; \
951         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
952         dir='$(DESTDIR)$(libscifftw_la_rootdir)'; $(am__uninstall_files_from_dir)
953 install-libscifftw_la_sci_gatewayDATA: $(libscifftw_la_sci_gateway_DATA)
954         @$(NORMAL_INSTALL)
955         @list='$(libscifftw_la_sci_gateway_DATA)'; test -n "$(libscifftw_la_sci_gatewaydir)" || list=; \
956         if test -n "$$list"; then \
957           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_sci_gatewaydir)'"; \
958           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)" || exit 1; \
959         fi; \
960         for p in $$list; do \
961           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
962           echo "$$d$$p"; \
963         done | $(am__base_list) | \
964         while read files; do \
965           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_sci_gatewaydir)'"; \
966           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)" || exit $$?; \
967         done
968
969 uninstall-libscifftw_la_sci_gatewayDATA:
970         @$(NORMAL_UNINSTALL)
971         @list='$(libscifftw_la_sci_gateway_DATA)'; test -n "$(libscifftw_la_sci_gatewaydir)" || list=; \
972         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
973         dir='$(DESTDIR)$(libscifftw_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
974
975 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
976         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
977         unique=`for i in $$list; do \
978             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
979           done | \
980           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
981               END { if (nonempty) { for (i in files) print i; }; }'`; \
982         mkid -fID $$unique
983 tags: TAGS
984
985 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
986                 $(TAGS_FILES) $(LISP)
987         set x; \
988         here=`pwd`; \
989         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
990         unique=`for i in $$list; do \
991             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
992           done | \
993           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
994               END { if (nonempty) { for (i in files) print i; }; }'`; \
995         shift; \
996         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
997           test -n "$$unique" || unique=$$empty_fix; \
998           if test $$# -gt 0; then \
999             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1000               "$$@" $$unique; \
1001           else \
1002             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1003               $$unique; \
1004           fi; \
1005         fi
1006 ctags: CTAGS
1007 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1008                 $(TAGS_FILES) $(LISP)
1009         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1010         unique=`for i in $$list; do \
1011             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1012           done | \
1013           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1014               END { if (nonempty) { for (i in files) print i; }; }'`; \
1015         test -z "$(CTAGS_ARGS)$$unique" \
1016           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1017              $$unique
1018
1019 GTAGS:
1020         here=`$(am__cd) $(top_builddir) && pwd` \
1021           && $(am__cd) $(top_srcdir) \
1022           && gtags -i $(GTAGS_ARGS) "$$here"
1023
1024 distclean-tags:
1025         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1026
1027 distdir: $(DISTFILES)
1028         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1029         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1030         list='$(DISTFILES)'; \
1031           dist_files=`for file in $$list; do echo $$file; done | \
1032           sed -e "s|^$$srcdirstrip/||;t" \
1033               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1034         case $$dist_files in \
1035           */*) $(MKDIR_P) `echo "$$dist_files" | \
1036                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1037                            sort -u` ;; \
1038         esac; \
1039         for file in $$dist_files; do \
1040           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1041           if test -d $$d/$$file; then \
1042             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1043             if test -d "$(distdir)/$$file"; then \
1044               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1045             fi; \
1046             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1047               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1048               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1049             fi; \
1050             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1051           else \
1052             test -f "$(distdir)/$$file" \
1053             || cp -p $$d/$$file "$(distdir)/$$file" \
1054             || exit 1; \
1055           fi; \
1056         done
1057 check-am: all-am
1058         $(MAKE) $(AM_MAKEFLAGS) check-local
1059 check: check-am
1060 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1061 installdirs:
1062         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscifftw_la_etcdir)" "$(DESTDIR)$(libscifftw_la_rootdir)" "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)"; do \
1063           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1064         done
1065 install: install-am
1066 install-exec: install-exec-am
1067 install-data: install-data-am
1068 uninstall: uninstall-am
1069
1070 install-am: all-am
1071         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1072
1073 installcheck: installcheck-am
1074 install-strip:
1075         if test -z '$(STRIP)'; then \
1076           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1077             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1078               install; \
1079         else \
1080           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1081             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1082             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1083         fi
1084 mostlyclean-generic:
1085
1086 clean-generic:
1087
1088 distclean-generic:
1089         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1090         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1091
1092 maintainer-clean-generic:
1093         @echo "This command is intended for maintainers to use"
1094         @echo "it deletes files that may require special tools to rebuild."
1095 clean: clean-am
1096
1097 clean-am: clean-generic clean-libtool clean-local \
1098         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1099
1100 distclean: distclean-am
1101         -rm -rf ./$(DEPDIR)
1102         -rm -f Makefile
1103 distclean-am: clean-am distclean-compile distclean-generic \
1104         distclean-local distclean-tags
1105
1106 dvi: dvi-am
1107
1108 dvi-am:
1109
1110 html: html-am
1111
1112 html-am:
1113
1114 info: info-am
1115
1116 info-am:
1117
1118 install-data-am: install-data-local install-libscifftw_la_etcDATA \
1119         install-libscifftw_la_rootDATA \
1120         install-libscifftw_la_sci_gatewayDATA
1121
1122 install-dvi: install-dvi-am
1123
1124 install-dvi-am:
1125
1126 install-exec-am: install-pkglibLTLIBRARIES
1127
1128 install-html: install-html-am
1129
1130 install-html-am: install-html-local
1131
1132 install-info: install-info-am
1133
1134 install-info-am:
1135
1136 install-man:
1137
1138 install-pdf: install-pdf-am
1139
1140 install-pdf-am:
1141
1142 install-ps: install-ps-am
1143
1144 install-ps-am:
1145
1146 installcheck-am:
1147
1148 maintainer-clean: maintainer-clean-am
1149         -rm -rf ./$(DEPDIR)
1150         -rm -f Makefile
1151 maintainer-clean-am: distclean-am maintainer-clean-generic
1152
1153 mostlyclean: mostlyclean-am
1154
1155 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1156         mostlyclean-libtool
1157
1158 pdf: pdf-am
1159
1160 pdf-am:
1161
1162 ps: ps-am
1163
1164 ps-am:
1165
1166 uninstall-am: uninstall-libscifftw_la_etcDATA \
1167         uninstall-libscifftw_la_rootDATA \
1168         uninstall-libscifftw_la_sci_gatewayDATA \
1169         uninstall-pkglibLTLIBRARIES
1170
1171 .MAKE: check-am install-am install-strip
1172
1173 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1174         clean clean-generic clean-libtool clean-local \
1175         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1176         distclean distclean-compile distclean-generic \
1177         distclean-libtool distclean-local distclean-tags distdir dvi \
1178         dvi-am html html-am info info-am install install-am \
1179         install-data install-data-am install-data-local install-dvi \
1180         install-dvi-am install-exec install-exec-am install-html \
1181         install-html-am install-html-local install-info \
1182         install-info-am install-libscifftw_la_etcDATA \
1183         install-libscifftw_la_rootDATA \
1184         install-libscifftw_la_sci_gatewayDATA install-man install-pdf \
1185         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1186         install-ps-am install-strip installcheck installcheck-am \
1187         installdirs maintainer-clean maintainer-clean-generic \
1188         mostlyclean mostlyclean-compile mostlyclean-generic \
1189         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1190         uninstall-am uninstall-libscifftw_la_etcDATA \
1191         uninstall-libscifftw_la_rootDATA \
1192         uninstall-libscifftw_la_sci_gatewayDATA \
1193         uninstall-pkglibLTLIBRARIES
1194
1195
1196 # This target enables tests for Scilab
1197 check-local: $(top_builddir)/scilab-bin test
1198         if test -d $(mydatadir)/tests; then \
1199           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1200         fi
1201 check-code:
1202         if test -f build.xml; then \
1203                 $(ANT) checkstyle; \
1204         fi
1205         if test -x "$(SPLINT)"; then \
1206                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1207         fi
1208 @NEED_JAVA_TRUE@java:
1209 # Some configurations needs to export JAVA_HOME in the current env
1210 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1211 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1212 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1213 @NEED_JAVA_TRUE@                $(ANT); \
1214 @NEED_JAVA_TRUE@        fi
1215
1216 @NEED_JAVA_TRUE@clean-java:
1217 # Some configurations needs to export JAVA_HOME in the current env
1218 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1219 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1220 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1221 @NEED_JAVA_TRUE@                $(ANT) clean; \
1222 @NEED_JAVA_TRUE@        fi;
1223
1224 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1225 # We call the target swig-build on the variable SWIG_WRAPPERS
1226
1227 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1228 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1229 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1230 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1231 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1232 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1233 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1234 @SWIG_TRUE@             done; \
1235 @SWIG_TRUE@     fi
1236
1237 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1238 # We call the target swig-build on the variable SWIG_WRAPPERS
1239
1240 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1241 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1242 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1243 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1244 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1245 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1246 @GIWS_TRUE@             done; \
1247 @GIWS_TRUE@     fi
1248
1249 @GIWS_TRUE@giws-exception:
1250 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1251 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1252 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1253
1254 macros:
1255         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1256                 echo "Error : Cannot build $< : Scilab has not been built"; \
1257         else \
1258                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1259         fi)
1260
1261 # Removes the macros
1262 clean-macros:
1263 # Removes macros (*.bin generated from .sci)
1264         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1265                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1266                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1267         done
1268
1269 test:
1270 # More tests could be added here
1271         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1272         if test -f build.xml -a $$USEANT -eq 1; then \
1273                 $(ANT) test; \
1274         fi
1275
1276 all-local: $(TARGETS_ALL)
1277
1278 .sci.bin:
1279         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1280         echo "Error : Cannot build $< : Scilab has not been build"; \
1281         else \
1282         echo "Creating $@"; \
1283         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1284         fi )
1285
1286 install-html-local:
1287
1288 install-data-local-local:
1289 # Mainly for javasci
1290         @if test -d $(srcdir)/javadoc; then \
1291                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1292         fi
1293 # If the user wants the help sources to be installed
1294 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1295 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1296 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1297 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1298 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1299 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1300 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1301 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1302 @INSTALL_HELP_XML_TRUE@           done ; \
1303 @INSTALL_HELP_XML_TRUE@         fi; \
1304 @INSTALL_HELP_XML_TRUE@  fi; \
1305 @INSTALL_HELP_XML_TRUE@ done; \
1306 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1307 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1308 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1309 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1310 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1311 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1312 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1313 @INSTALL_HELP_XML_TRUE@           done ; \
1314 @INSTALL_HELP_XML_TRUE@         fi; \
1315 @INSTALL_HELP_XML_TRUE@ fi
1316 install-data-local:
1317 # Install the tests
1318         @echo "-------- Install tests (if any) --------"; \
1319         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1320           if test -d $(srcdir)/$$dir/; then \
1321             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1322                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1323                     if test -d "$(srcdir)/$$dir/$$file"; then \
1324                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1325                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1326                     else \
1327                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1328                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1329                     fi \
1330                   done; \
1331           fi; \
1332         done
1333 # Install the help chapter
1334         @echo "-------- Install the help chapter (if any) --------"; \
1335         for lang in $(HELP_CHAPTERLANG); do \
1336                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1337                 if test -f $$HELPFILE; then \
1338                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1339                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1340                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1341                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1342                 fi; \
1343         done
1344 # Install the demos & examples
1345         @echo "-------- Install demos & examples (if any) --------"; \
1346         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1347           if test -d $(srcdir)/$$dir/; then \
1348             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1349                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1350                     if test -d "$(srcdir)/$$dir/$$file"; then \
1351                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1352                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1353                     else \
1354                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1355                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1356                     fi \
1357                   done; \
1358           fi; \
1359         done
1360 # Install the macros
1361         @echo "-------- Install macros (if any) --------"; \
1362         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1363           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1364                 if test -d $(srcdir)/$$dir/; then \
1365                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1366                         if test -n "$(MACROSSPECIALEXT)"; then \
1367                                 specialExtDir=""; \
1368                                 for specialExt in $(MACROSSPECIALEXT); do \
1369                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1370                                 done; \
1371                                 FILELIST="$$FILELIST $$specialExtDir"; \
1372                         fi; \
1373                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1374                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1375                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1376                   done; \
1377                 fi; \
1378         done
1379 # Install java files (.jar)
1380         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1381         echo "-------- Install jar files --------"; \
1382     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1383           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1384                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1385                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1386           done ; \
1387         fi
1388
1389 ########### CLEAN ###################
1390 # Clean help (generated automatically by Scilab)
1391 # It used to clean the macro (clean-macros) but this was causing
1392 # make clean && make to fail Scilab startup
1393 @NEED_JAVA_TRUE@clean-local: clean-java
1394 @NEED_JAVA_FALSE@clean-local:
1395
1396 distclean-local:
1397         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1398
1399 .PHONY: macros java swig giws
1400
1401 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1402 # Otherwise a system limit (for SysV at least) may be exceeded.
1403 .NOEXPORT: